For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
      • GETList or filter all SMS activities
      • POSTCreate an SMS activity
      • GETGet a single SMS activity
      • PUTUpdate an SMS activity
      • DELDelete an SMS activity
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
ActivitiesSMS

List or filter all SMS activities

||View as Markdown|
GET
https://api.close.com/api/v1/activity/sms/
GET
/api/v1/activity/sms/
$curl https://api.close.com/api/v1/activity/sms/ \
> -u "<CLOSE_API_KEY>:"
1{
2 "data": [
3 {
4 "_type": "SMS",
5 "activity_at": "2016-10-03T16:06:11.167000+00:00",
6 "contact_id": "cont_q4xYmlGhA3060dEl0NDJuHRxPMuVjqLn30AFSzh1fRk",
7 "cost": "1",
8 "created_by": null,
9 "date_created": "2016-10-03T16:06:11.167000+00:00",
10 "date_scheduled": null,
11 "date_sent": null,
12 "date_updated": "2016-10-03T16:06:11.167000+00:00",
13 "direction": "inbound",
14 "error_message": null,
15 "id": "acti_12358hIUhaklslYoYSbtozZuUTyB2zO2nhm7iVSpZpp",
16 "lead_id": "lead_iuSXNk1x3446ggPVwQS7ynmp8pGRIDieRYiCnuo4yFb",
17 "local_country_iso": "US",
18 "local_phone": "+16503334444",
19 "local_phone_formatted": "+1 650-333-4444",
20 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
21 "remote_country_iso": "US",
22 "remote_phone": "+18183004000",
23 "remote_phone_formatted": "+1 818-300-4000",
24 "source": "Close.io",
25 "status": "inbox",
26 "template_id": null,
27 "text": "SMS in Close? HUZZAH!!!",
28 "updated_by": null,
29 "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
30 "users": [],
31 "created_by_name": null,
32 "updated_by_name": null,
33 "user_name": "Tobias Fuenke",
34 "attachments": [
35 {
36 "content_type": "image/png",
37 "filename": "media_1.png",
38 "media_id": "media_1GnAWzBfs0SOjTDcUnyyP9",
39 "size": 15148,
40 "thumbnail_url": "https://app.close.com/go/sms/acti_12358hIUhaklslYoYSbtozZuUTyB2zO2nhm7iVSpZpp/media/media_7Ga8l93XLVvqNsgjPbBuUI/thumbnail/",
41 "url": "https://app.close.com/go/sms/acti_12358hIUhaklslYoYSbtozZuUTyB2zO2nhm7iVSpZpp/media/media_7Ga8l93XLVvqNsgjPbBuUI/"
42 }
43 ]
44 }
45 ],
46 "has_more": false
47}
Get a list of matching SMS activities. MMS messages are considered SMS messages with attachments. Attachments have identical fields to email attachments (`url`, `filename`, `size` and `content_type`), a `media_id` uniquely identifying an attachment, and if Close was able to generate a thumbnail, a `thumbnail_url` too. Accessing `url` or `thumbnail_url` requires an authenticated session and leads to a temporarily signed S3 URL.
Was this page helpful?
Previous

Delete an EmailThread activity

Next

Create an SMS activity

Built with

Get a list of matching SMS activities.

MMS messages are considered SMS messages with attachments. Attachments have identical fields to email attachments (url, filename, size and content_type), a media_id uniquely identifying an attachment, and if Close was able to generate a thumbnail, a thumbnail_url too.

Accessing url or thumbnail_url requires an authenticated session and leads to a temporarily signed S3 URL.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

_limitintegerOptionalDefaults to 100
Number of results to return.
_skipintegerOptionalDefaults to 0
Number of results to skip before returning, for pagination.
id__inlist of strings or nullOptional

Filter by activity IDs (comma-separated)

lead_idlist of strings or nullOptional

Filter by lead IDs (comma-separated)

contact_idlist of strings or nullOptional

Filter by contact IDs (comma-separated)

user_idlist of strings or nullOptional

Filter by user IDs (comma-separated)

organization_idstring or nullOptional
_typelist of strings or nullOptional

Filter by activity type, e.g. Call (comma-separated)

date_created__gtedatetime or dateOptional
date_created__ltedatetime or dateOptional
date_created__gtdatetime or dateOptional
date_created__ltdatetime or dateOptional
activity_at__gtedatetime or dateOptional
activity_at__ltedatetime or dateOptional
activity_at__gtdatetime or dateOptional
activity_at__ltdatetime or dateOptional

Response

Successful response
datalist of objects
has_moreboolean

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error